Skip to main content
PUT
/
api
/
v1
/
invoice
/
{invoice_uuid}
Invoice Update Api
curl --request PUT \
  --url https://api.justpaid.io/api/v1/invoice/{invoice_uuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invoice_status": "sent",
  "invoice_date": "2024-03-21",
  "due_date": "2024-04-21",
  "description": "Monthly services for March 2024",
  "service_start_date": "2024-03-01",
  "service_end_date": "2024-03-31",
  "notes": "<string>",
  "recipients": [
    "<string>"
  ],
  "custom_fields": [
    {}
  ]
}
'
import requests

url = "https://api.justpaid.io/api/v1/invoice/{invoice_uuid}"

payload = {
"invoice_status": "sent",
"invoice_date": "2024-03-21",
"due_date": "2024-04-21",
"description": "Monthly services for March 2024",
"service_start_date": "2024-03-01",
"service_end_date": "2024-03-31",
"notes": "<string>",
"recipients": ["<string>"],
"custom_fields": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice_status: 'sent',
invoice_date: '2024-03-21',
due_date: '2024-04-21',
description: 'Monthly services for March 2024',
service_start_date: '2024-03-01',
service_end_date: '2024-03-31',
notes: '<string>',
recipients: ['<string>'],
custom_fields: [{}]
})
};

fetch('https://api.justpaid.io/api/v1/invoice/{invoice_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "invoice_status": "draft",
  "amount": 1000,
  "currency": "USD",
  "invoice_number": "INV-2024-001",
  "invoice_date": "2024-03-21",
  "due_date": "2024-04-21",
  "service_start_date": "2024-03-01",
  "service_end_date": "2024-03-31",
  "description": "Monthly services for March 2024",
  "created_at": "2024-03-21T10:00:00Z",
  "is_recurring": false,
  "from_external_source": false,
  "external_source": "stripe",
  "external_source_id": "inv_123456",
  "payment_link": "https://app.justpaid.ai/portal/inv/123",
  "line_items": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "unit_price": 123,
      "quantity": 1,
      "amount": 123,
      "currency": "USD",
      "description": "<string>",
      "flat_fee": 123,
      "tax_rate": 0,
      "tax_amount": 0,
      "tax_name": "<string>",
      "discount_amount": 123,
      "discount_percent": 123,
      "service_start_date": "2023-12-25",
      "service_end_date": "2023-12-25",
      "display_order": 123
    }
  ],
  "file_url": "https://api.justpaid.ai/invoices/123.pdf",
  "customer": {
    "external_id": "CUST-001",
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "contact_name": "<string>",
    "email": "<string>",
    "additional_emails": [
      "<unknown>"
    ],
    "billing_emails": [
      "<unknown>"
    ],
    "phone_number": "<string>",
    "currency": "USD",
    "tax_id": "<string>"
  }
}
{}
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_uuid
string
required

Body

application/json

Input schema for updating an invoice (all fields optional).

invoice_status
string | null

New invoice status

Example:

"sent"

invoice_date
string<date> | null

Invoice date

Example:

"2024-03-21"

due_date
string<date> | null

Payment due date

Example:

"2024-04-21"

description
string | null

Invoice description

Example:

"Monthly services for March 2024"

service_start_date
string<date> | null

Service period start date

Example:

"2024-03-01"

service_end_date
string<date> | null

Service period end date

Example:

"2024-03-31"

notes
string | null

Internal notes for the invoice

recipients
string[] | null

Additional email recipients

custom_fields
Custom Fields · object[] | null

Custom fields as list of {field_name, field_value}

Response

Invoice updated successfully

Output schema for invoice information.

uuid
string<uuid>

The unique identifier for the invoice

Example:

"123e4567-e89b-12d3-a456-426614174000"

invoice_status
string

The current status of the invoice

Example:

"draft"

amount
number

The total amount due for the invoice

Example:

1000

currency
string

The currency code for the invoice

Example:

"USD"

invoice_number
string

The unique invoice number

Example:

"INV-2024-001"

invoice_date
string<date>

The date when the invoice was created

Example:

"2024-03-21"

due_date
string<date> | null

The date by which the invoice must be paid

Example:

"2024-04-21"

service_start_date
string<date> | null

The start date of the service period

Example:

"2024-03-01"

service_end_date
string<date> | null

The end date of the service period

Example:

"2024-03-31"

description
string | null

A description of the invoice

Example:

"Monthly services for March 2024"

created_at
string<date-time>

The timestamp when the invoice was created

Example:

"2024-03-21T10:00:00Z"

is_recurring
boolean

Indicates if this is a recurring invoice

Example:

false

from_external_source
boolean

Indicates if the invoice was created from an external source

Example:

false

external_source
string | null

The name of the external source if applicable

Example:

"stripe"

external_source_id
string | null

The ID of the invoice in the external system

Example:

"inv_123456"

URL where the customer can pay this invoice

Example:

"https://app.justpaid.ai/portal/inv/123"

line_items
InvoiceLineItemOut2 · object[]

List of line items included in this invoice

file_url
string | null

URL to download the invoice PDF

Example:

"https://api.justpaid.ai/invoices/123.pdf"

customer
CustomerOut2 · object | null

Details of the customer associated with this invoice